# Generated by Django 4.2.3 on 2023-07-12 09:05

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('task', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Payment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='criado em')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='modificado em')),
                ('number', models.PositiveIntegerField()),
                ('estimated_time', models.PositiveIntegerField(blank=True, null=True)),
                ('estimated_value', models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True)),
                ('value', models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True)),
                ('hours', models.DurationField(blank=True, null=True)),
                ('payment_date', models.DateField(blank=True, null=True)),
                ('sprint', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='task.sprint')),
            ],
            options={
                'verbose_name': 'Pagamento',
                'verbose_name_plural': 'Pagamentos',
                'ordering': ('created',),
            },
        ),
    ]
